<?php
#####################################
#  Coded in Pirate Technologies(C)  #
#  ///////////////////////////////  #
# ICQ: 854141                       #
# http://phpme.ru                   #
# http://angelcorpse.free-lance.ru  #
#####################################
require '../system/start.php';
require '../system/functions.php';
reg();
switch($act)
{
default:
if(isset($_GET['id']) and !empty($_GET['id']))
{
	$query = mysql_fetch_assoc(mysql_query("select * from `community` where `id` = ".int($_GET['id']).""));
	$check = mysql_result(mysql_query("select count(*) from `community_users` where `id_user` = ".$user['id']." and `id_community` = ".$query['id'].""),0);
	$str['mesto'] = $query['title'].' / Чат';
	$str['block'] = $set['site'].' / Сообщества / '.$query['title'].' / Чат';
	include '../style/'.$style.'/head.php';
	if(empty($query['title']))
	{
		echo '<div class="forum1">Сообщество не найдено!</div>';
		break;
	}
	if ($query['read'] == 2 && $check == 0)
	{
		echo '<div class="forum1">Читать сообщения в данной группе можно только участникам!</div>';
		break;
	}
	if (isset($_POST['text']) && !empty($_POST['text']))
	{
		$flood = mysql_fetch_assoc(mysql_query("select `time` from `community_chat_posts` where `id_maker` = '".$user['id']."' order by `time` desc limit 1"));
    	if($flood['time']<(time()-30))
    	{
                                          mysql_query("update `users` set `balls`=`balls`+1 where `id` = ".$user['id']."");
			mysql_query ("INSERT INTO `community_chat_posts` (id_community,id_maker,text,time) VALUES (".$query['id'].",'".$user['id']."','".protect($_POST['text'])."',".time().")");
			echo '<div class="where">Сообщение успешно добавлено!<br />
			<a href="chat.php?id='.$query['id'].'">Перейти в чат &raquo;</a></div>';
		}
		else
    	{
        	echo '<div class="where">&raquo; Антифлуд 30 секунд!</div>';
    	}
		break;
	}
	echo '<div class="mess">
	<form action="chat.php?id='.$query['id'].'" method="post">
	<div>
	Сообщение:<br/>
	<textarea cols="22" rows="2" name="text" id="text"></textarea><br/>
	<input type="submit" value="Добавить"/>
	</div></form></div>';
	$posts = mysql_query("select * from `community_chat_posts` where `id_community` = ".$query['id']." order by `id` desc limit ".$page.",".$set['str']."");
	$total = mysql_result(mysql_query("select count(*) from `community_chat_posts` where `id_community` = ".$query['id'].""),0);
	if($total == 0)
	{
		echo '<div class="on">Сообщений еще нет! Будь первым!</div>';
	}
	else
	{
		while($row = mysql_fetch_assoc($posts))
		{
    		$i++;
    		if($i%2)
    		{
        		echo '<div class="forum1">';
    		}
    		else
    		{
        		echo '<div class="forum2">';
    		}
    		$z = mysql_fetch_assoc(mysql_query("select `login` from `users` where `id` = ".$row['id_maker'].""));
    		echo '<img class="ico" src="../style/'.$style.'/ico/personal.gif" alt="" />
    		<a href="../p/'.$z['login'].'">'.$z['login'].'</a>';
    		echo status($row['id_maker']);
    		echo '('.clock($row['time']).') <div class="ftext">'.text($row['text']).'</div></div>';
		}
		if($total > $set['str'])
		{
			pages($page, $total, 'chat.php?id='.$query['id'].'&amp;', $set['str']);
		}
	}
}
else
{
	$str['mesto'] = 'Неверные параметры!';
	$str['block'] = $set['site'].' / Сообщества / '.$query['title'].' / Чат / Неверные параметры1';
	include '../style/'.$style.'/head.php';
	echo '<div class="on">Неверные параметры!</div>';
}
break;
}
echo '<div class="on2"><img class="ico" src="../style/'.$style.'/ico/newpost.png" alt="" /> <a href="index.php">Сообщества</a></div>';
include '../style/'.$style.'/foot.php';
?>